## lpr 0.35

=== lpr/Makefile ===
all:	lpr

lpr:	lpr.o

install: lpr
	install -s -m6555 lpr $(DESTDIR)/usr/bin
	install -m644 lpr.1 $(DESTDIR)/usr/man/man1

clean:
	rm -f lpr *.o

=== pac/Makefile ===
all:	pac

pac:	pac.o

install: pac
	install -s -m744 pac $(DESTDIR)/usr/sbin
	install -m644 pac.8 $(DESTDIR)/usr/man/man8

clean:
	rm -f pac *.o

## lpr 0.48

=== Makefile ===
.EXPORT_ALL_VARIABLES:

VERSION=$(shell awk '/^Version:/ { print $$2 }' lpr.spec)
CVSTAG = r$(subst .,-,$(VERSION))

CFLAGS	= -O2 $(RPM_OPT_FLAGS) -I../common_source -I/usr/include/bsd
LDFLAGS	= 
LDLIBS = -lcommon -L ../common_source -lbsd

SUBDIRS	= common_source filters lpc lpd lpq lpr lprm lptest pac

all:
	for i in $(SUBDIRS); do make -C $$i all; done

install:
	for i in $(SUBDIRS); do make -C $$i install; done
	install -m644 printcap.5 $(DESTDIR)/usr/man/man5/

clean:
	for i in $(SUBDIRS); do make -C $$i clean; done

archive:
	cvs tag -F $(CVSTAG) .
	@rm -rf /tmp/lpr-$(VERSION) /tmp/lpr
	@cd /tmp; cvs -d $(CVSROOT) export -r$(CVSTAG) lpr || :
	@mv /tmp/lpr /tmp/lpr-$(VERSION)
	@dir=$$PWD; cd /tmp; tar cvzf $$dir/lpr-$(VERSION).tar.gz lpr-$(VERSION)
	@rm -rf /tmp/lpr-$(VERSION)
	@echo "The archive is in lpr-$(VERSION)"

=== filters/Makefile ===
all:	lpf

lpf:	lpf.o

install: lpf
	install -s lpf $(DESTDIR)/usr/sbin

clean:
	rm -f lpf *.o

=== lpc/Makefile ===
all:	lpc

lpc:	lpc.o cmds.o cmdtab.o

install: lpc
	install -s -m2555 lpc $(DESTDIR)/usr/sbin/lpc
	install -m644 lpc.8 $(DESTDIR)/usr/man/man8

clean:
	rm -f lpc *.o

=== lpd/Makefile ===
all:	lpd

lpd:	lpd.o lpdchar.o printjob.o recvjob.o

install: lpd
	install -s -m744 lpd $(DESTDIR)/usr/sbin/lpd
	install -m644 lpd.8 $(DESTDIR)/usr/man/man8

clean:
	rm -f lpd *.o

=== lpq/Makefile ===
all:	lpq

lpq:	lpq.o

install: lpq
	install -s -m6555 lpq $(DESTDIR)/usr/bin
	install lpq.1 $(DESTDIR)/usr/man/man1

clean:
	rm -f lpq *.o

=== lprm/Makefile ===
all:	lprm

lprm:	lprm.o

install: lprm
	install -s -m6555 lprm $(DESTDIR)/usr/bin
	install -m644 lprm.1 $(DESTDIR)/usr/man/man1

clean:
	rm -f lprm *.o

=== lptest/Makefile ===
all:	lptest

lptest:	lptest.o

install: lptest
	install -s -m755 lptest $(DESTDIR)/usr/bin
	install -m644 lptest.1 $(DESTDIR)/usr/man/man1

clean:
	rm -f lptest *.o

## lpr 5.9

=== common_source/Makefile ===
OBJS	= common.o displayq.o printcap.o rmjob.o startdaemon.o

all:	$(OBJS)
	@ar rcv libcommon.a $(OBJS)
	@ranlib libcommon.a

install: all

clean:
	rm -f *.o *.a

=== lpc/Makefile ===
LDFLAGS = -s

all:	lpc

lpc:	lpc.o cmds.o cmdtab.o

install: lpc
	install -o root -g lp -m 2755 lpc ${DEBDIR}/usr/sbin
	install -o root -g root -m 0644 lpc.8 ${DEBDIR}/usr/man/man8

clean:
	rm -f lpc *.o

=== lpd/Makefile ===
LDFLAGS = -s

all:	lpd

lpd:	lpd.o lpdchar.o printjob.o recvjob.o

install: lpd
	install -o root -g root -m 0755 lpd ${DEBDIR}/usr/sbin
	install -o root -g root -m 0644 lpd.8 ${DEBDIR}/usr/man/man8

clean:
	rm -f lpd *.o

=== lpq/Makefile ===
LDFLAGS = -s

all:	lpq

lpq:	lpq.o

install: lpq
	install -o root -g lp -m 6755 lpq ${DEBDIR}/usr/bin
	install -o root -g root -m 0644 lpq.1 ${DEBDIR}/usr/man/man1

clean:
	@rm -f lpq *.o

=== lpr/Makefile ===
LDFLAGS = -s

all:	lpr

lpr:	lpr.o

install: lpr
	install -o root -g lp -m 6755 lpr ${DEBDIR}/usr/bin
	install -o root -g root -m 0644 lpr.1 ${DEBDIR}/usr/man/man1

clean:
	rm -f lpr *.o

=== lprm/Makefile ===
LDFLAGS = -s

all:	lprm

lprm:	lprm.o

install: lprm
	install -o root -g lp -m 6755 lprm ${DEBDIR}/usr/bin
	install -o root -g root -m 0644 lprm.1 ${DEBDIR}/usr/man/man1

clean:
	rm -f lprm *.o

=== pac/Makefile ===
all:	pac

pac:	pac.o

install: pac
	install -o root -g root -m 0755 pac ${DEBDIR}/usr/sbin
	install -o root -g root -m 0644 pac.8 ${DEBDIR}/usr/man/man8

clean:
	rm -f *.o pac

## lpr 5.9-13

=== Makefile ===
.EXPORT_ALL_VARIABLES:

CC = gcc
CFLAGS = -O2 -fomit-frame-pointer -include /usr/include/bsd/bsd.h \
	-I/usr/include/bsd -I../common_source
LDFLAGS	= -N -s
LDLIBS = -lbsd -lcommon -L ../common_source


SUBDIRS	= common_source filters lpc lpd lpq lpr lprm lptest pac

all:
	for i in $(SUBDIRS); do make -C $$i all; done

install:
	install -o root -g root -m 755 -d ${DEBDIR}/var/spool
	install -o root -g lp -m 2775 -d ${DEBDIR}/var/spool/lpd
	install -o root -g lp -m 2775 -d ${DEBDIR}/var/spool/lpd/lp
	install -o root -g lp -m 2775 -d ${DEBDIR}/var/spool/lpd/remote
	install -o root -g root -m 0755 filter.pcl filter.ps ${DEBDIR}/etc
	install -o root -g root -m 0644 etc.printcap ${DEBDIR}/etc/printcap
	install -o root -g root -m 0644 printcap.5 ${DEBDIR}/usr/man/man5
	for i in $(SUBDIRS); do make -C $$i install; done

clean:
	for i in $(SUBDIRS); do make -C $$i clean; done

=== filters/Makefile ===
all:	lpf

lpf:	lpf.o

install: lpf
	install -o root -g root -m 0755 lpf ${DEBDIR}/usr/bin

clean:
	rm -f lpf *.o

=== lptest/Makefile ===
all:	lptest

lptest:	lptest.o

install: lptest
	install -o root -g root -m 0755 lptest ${DEBDIR}/usr/bin
	install -o root -g root -m 0644 lptest.1 ${DEBDIR}/usr/man/man1

clean:
	rm -f lptest *.o

## lpr 2000.05.07

=== Makefile ===
#	$OpenBSD: Makefile,v 1.3 1997/09/21 11:43:51 deraadt Exp $

SUBDIR=	lpc lpd lpq lpr lprm lptest pac filters

.if make(install)
SUBDIR+= SMM.doc
.endif

.include <bsd.subdir.mk>

=== lpd/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:39 millert Exp $

PROG=	lpd
CFLAGS+=-I${.CURDIR}/../common_source
MAN=	lpd.8
SRCS=	lpd.c printjob.c recvjob.c displayq.c rmjob.c startdaemon.c \
	lpdchar.c common.c key.c modes.c ttcompat.c
.PATH:	${.CURDIR}/../common_source

.include "../../Makefile.inc"
.include <bsd.prog.mk>

=== lpr/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:45 millert Exp $

PROG=	lpr
CFLAGS+=-I${.CURDIR}/../common_source
SRCS=	lpr.c startdaemon.c common.c
BINOWN=	root
BINGRP=	daemon
BINMODE=6555
BINDIR=	/usr/bin
.PATH:	${.CURDIR}/../common_source

.include <bsd.prog.mk>

=== lprm/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:47 millert Exp $

PROG=	lprm
CFLAGS+=-I${.CURDIR}/../common_source
SRCS=	lprm.c rmjob.c startdaemon.c common.c
BINOWN=	root
BINGRP=	daemon
BINMODE=6555
BINDIR=	/usr/bin
.PATH:	${.CURDIR}/../common_source

.include <bsd.prog.mk>

## lpr 2003.09.23

=== Makefile ===
#	$OpenBSD: Makefile,v 1.4 2001/12/06 03:12:30 ericj Exp $

SUBDIR=	lpc lpd lpq lpr lprm lptest pac filters

.if make(install)
SUBDIR+= SMM.doc
.endif

CFLAGS+=	-Wall
.include <bsd.subdir.mk>

=== SMM.doc/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/8/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 15:54:19 millert Exp $

DIR=	smm/07.lpd
SRCS=	0.t 1.t 2.t 3.t 4.t 5.t 6.t 7.t
MACROS=	-ms

paper.ps: ${SRCS}
	${TBL} ${SRCS} | ${ROFF} > ${.TARGET}

.include <bsd.doc.mk>

=== filters/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:33 millert Exp $

PROG=	lpf
NOMAN=	noman
BINDIR=	/usr/libexec/lpr

.include <bsd.prog.mk>

=== lpd/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.4 2002/06/08 01:53:43 millert Exp $

PROG=	lpd
CFLAGS+=-I${.CURDIR}/../common_source
MAN=	lpd.8
SRCS=	lpd.c printjob.c recvjob.c displayq.c rmjob.c startdaemon.c \
	lpdchar.c common.c key.c modes.c ttcompat.c common_vars.c
BINGRP=	daemon
BINMODE=2550
.PATH:	${.CURDIR}/../common_source

.include "../../Makefile.inc"
.include <bsd.prog.mk>

=== lpr/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.5 2003/03/11 04:36:55 millert Exp $

PROG=	lpr
CFLAGS+=-I${.CURDIR}/../common_source
SRCS=	lpr.c startdaemon.c common.c common_vars.c
BINOWN=	root
BINGRP=	daemon
BINMODE=6555
BINDIR=	/usr/bin
.PATH:	${.CURDIR}/../common_source

.include <bsd.prog.mk>

=== lprm/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.6 2003/03/11 04:36:55 millert Exp $

PROG=	lprm
CFLAGS+=-I${.CURDIR}/../common_source
SRCS=	lprm.c rmjob.c startdaemon.c common.c common_vars.c
BINOWN=	root
BINGRP=	daemon
BINMODE=6555
BINDIR=	/usr/bin
.PATH:	${.CURDIR}/../common_source

.include <bsd.prog.mk>

=== lptest/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:48 millert Exp $

PROG=	lptest

.include "../../Makefile.inc"
.include <bsd.prog.mk>

## lpr 2005.05.01

=== debian/changelog ===
lpr (1:2005.05.01) unstable; urgency=low

  * Changed to Debian native package. It is still based from OpenBSD cvs, but
    synching with upsteam is longer needed as it occurs on an ongoing basis
    anyway. Debian's lpr is not synched with OpenBSD's cvs as of May 1st.
  * (lpd/printjob.c) Applied a slightly modified patch from upstream to
    pstatus which could cause possible stack corruption if vnsprintf failed.

 -- Adam Majer <adamm@galacticasoftware.com>  Sun,  1 May 2005 17:56:18 -0500

lpr (1:2005.01.28-5) unstable; urgency=low

  * Fix a FTBFS - logcheck is not present as a group. Use dh_installlogcheck

 -- Adam Majer <adamm@galacticasoftware.com>  Wed, 13 Apr 2005 02:14:04 -0500

lpr (1:2005.01.28-4) unstable; urgency=low

  * Added logcheck ignore files for server configuration.
  * Added a patch from upstream that fixes handling of command line options
    for lpr (lpr.c 1.37 revision upstream)
  * Using dpatch for upstream patches which should keep things easier to sync
    when upstream is synced.

 -- Adam Majer <adamm@galacticasoftware.com>  Tue, 12 Apr 2005 18:31:45 -0500

lpr (1:2005.01.28-3) unstable; urgency=low

  * Added a timeout to question in postrm regarding removal the spool
    directory during purge. Timeout is needed to handle non-interactive
    removals. (closes: #293308)
  * Added a hint (daemon not running) to error condition when connection to
    daemon fails. (closes: #180287)

 -- Adam Majer <adamm@galacticasoftware.com>  Thu, 17 Feb 2005 12:35:59 -0600

lpr (1:2005.01.28-2) unstable; urgency=low

  * Apply patch from Junio Hamano that makes the rotated log uid=lp instead of
    root (closes: #283172)
  * Apply a patch from NIIBE Yutaka to make cross-compile easier (closes:
    #286618)

 -- Adam Majer <adamm@galacticasoftware.com>  Mon, 31 Jan 2005 11:49:41 -0600

lpr (1:2005.01.28-1) unstable; urgency=low

  * Sync to new upstream version
      - adds -j option to specify job name
      - fixes banner printing
  * Remove extraneous $i from postinst

 -- Adam Majer <adamm@galacticasoftware.com>  Sun,  30 Jan 2005 08:01:11 -0500

lpr (1:2003.09.23-7) unstable; urgency=high

  * Remove bash specific syntax in postinst. To make sure permissions are fixed
    for the new lpr, rerun permission fixups on /var/spool/lpd/*, again.
    (closes: #261590)

 -- Adam Majer <adamm@galacticasoftware.com>  Tue, 27 Jul 2004 16:45:19 -0500

lpr (1:2003.09.23-6) unstable; urgency=low

  * Fixed a possible null deference in checkremote() (closes: #258539)
  * Added date listing in the printout of `lpq -l` (closes: #155053)
  * If bind to a socket fails (busy), waits for up to 35 seconds
    before giving up on it
  * Fetches the numeric uid of UID(lp) instead of relying that
    it is always 7 (closes: #258478)

 -- Adam Majer <adamm@galacticasoftware.com>  Tue, 13 Jul 2004 14:14:39 -0500

lpr (1:2003.09.23-5) unstable; urgency=low

  * Added __ivaliduser_sa from OpenBSD so that hosts.lpd can
    again include IP addresses (closes: #85133)
    This should also re-enable netgroup support in both,
    hosts.equiv and hosts.lpd (closes: #70521)
    Also seems to fix printing over IPv6 sockets :)
  * debian/postinst:
      + Updat permissions of the .seq files in the
        spool directories (closes: #258478)

 -- Adam Majer <adamm@galacticasoftware.com>  Sat, 10 Jul 2004 15:36:14 -0500

lpr (1:2003.09.23-4) unstable; urgency=low

  * Quiet postinst a bit.

 -- Adam Majer <adamm@galacticasoftware.com>  Sun,  4 Jul 2004 20:25:53 -0500

lpr (1:2003.09.23-3) unstable; urgency=low

  * debian/postinst: `chown` now uses : not . (closes: #256984)
  * debian/printcap.5: "new" upstream version
  * lpr/lpr.c:
     + Fixed some nasty getopt parsing bugs
     + pr(1) filter (lpr -p) now uses form-feed to get to new page.
  * lpd/printjob.c:
     + Fixed banner printing by adding \r
  * Added /etc/default/lpd file that controls startup options of
    lpr. By default, lpr will no longer listen on TCP port. You may
    choose to re-enable this if you need to accept print requests
    over the network.
  * Fixed upgrade from pre-1:2003.09.23 version of lpr
  * Added some configuration notes in README.Debian (closes: #180274)

 -- Adam Majer <adamm@galacticasoftware.com>  Sun,  4 Jul 2004 14:51:06 -0500

lpr (1:2003.09.23-2) unstable; urgency=low

  * Applied patch to fix -s option thanks to Joachim H. Kaiser
    (closes: #214445)
  * Fixed a bug in lpd/lpd.c where lines with whitespace in
    hosts.{lpd,equiv} were treated as EOF instead of being ignored
  * Added filter's path to the logged error message when input
    filter dies. (closes: #138367)
  * Fixed a bug introduced in porting from OpenBSD in common_source/displaq.c
    by adding vis.c fetched from latest OpenBSD source (closes: #255852)
  * Fixed a locking problem where multiple printjobs (one for each printjob)
    were launched simultaneously. lpr now uses flock() for locking
    instead of OpenBSD's O_EXLOCK in open().
  * Fixed cron.weekly to no longer start the daemon if it is not running
    (closes: #142115)

 -- Adam Majer <adamm@galacticasoftware.com>  Thu, 24 Jun 2004 19:34:10 -0500

lpr (1:2003.09.23-1) unstable; urgency=low

  * Upload of IPv6 capable lpr to Sid. Note that you'll need a relatively new
    kernel, like debian 2.4.24 kernel, to listen on IPv6 socket.
  * Change the ownership of all the files in the spool directory /var/spool/lpd
    to lp.lp in the postinst.
  * Added a lock file to /var/spool/lpd as required by the FHS (closes: #228542)
  * New init script thanks to Ryan VanMiddlesworth should clean up 
    all lpd processes, not just one. (closes: #56359)

 -- Adam Majer <adamm@galacticasoftware.com>  Sun, 20 Jun 2004 18:43:22 -0500

lpr (1:2003.09.23-0test1) experimental; urgency=low

  * New upstream release (sync with CVS on 2003-09-23)
     - you may need to change permissions of files in the spool directory
       to 'lp' from 'root'.


=== debian/control ===
Source: lpr
Section: net
Priority: standard
Build-Depends: debhelper (>= 4.2.29)
Maintainer: Adam Majer <adamm@galacticasoftware.com>
Standards-Version: 3.6.1

Package: lpr
Architecture: any
Depends: ${shlibs:Depends}, netbase
Suggests: magicfilter | apsfilter, gs
Conflicts: suidmanager (<< 0.50)
Description: BSD lpr/lpd line printer spooling system
 This is the BSD printer spooler and associated utilities.
 You can use this for local and remote printers.
 .
 If you install magicfilter or apsfilter (along with ghostscript),
 lpr will be able to automatically handle special file types
 (such as Postscript and PDF files).

## lpr 2006.11.04

=== debian/changelog ===
lpr (1:2006.11.04) unstable; urgency=low

  * Added upstream patches
     + lpr.c [rev. 1.39] - portability patch s/0/SEEK_SET/ in lseek
  * /var/log/lp-{acct,errs} are now rotated weekly with lp:adm
     ownership with 0640 permissions. The latter is to counteract any
     security related information being leaked from filter's stderr to
     the log to the user. (closes: #390720)

 -- Adam Majer <adamm@zombino.com>  Sat,  4 Nov 2006 23:21:59 -0600

lpr (1:2006.08.03) unstable; urgency=low

  * Fixed the changelog errors (closes: #307753)
  * (lpd/lpd.8) Manpage update clarifying that lpd will silently drop print
    requests if reverse DNS lookup fails.
  * Remove /etc/printcap conffile on purge only if it was not modified
    (closes: #326046)
  * Added a slightly modified patch to enable lpd to recognize
    hosts.equiv and hosts.lpd lines without trailing newline (closes:
    #323063)
  * Applied a patch from Martin Michlmayr that moves the dot in the init
    script next to the lpd name. This is to make the init script consistent
    with the other deamon's init scrips. (closes: #337222)
  * Plug a memory leak in displayq.c when nitems==0. Patch from
    OpenBSD cvs - originally from NetBSD.
  * Fixed lprm to function correctly when the - parameters is
    used. (closes: #337743)
  * Added LSB formatted dependencies to the init script (closes:
    #376960)
  * Updated Standards to 3.7.2. No changes.

 -- Adam Majer <adamm@zombino.com>  Thu,  3 Aug 2006 18:12:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: standard
 Build-Depends: debhelper (>= 4.2.29)
-Maintainer: Adam Majer <adamm@galacticasoftware.com>
-Standards-Version: 3.6.1
+Maintainer: Adam Majer <adamm@zombino.com>
+Standards-Version: 3.7.2
 
 Package: lpr
 Architecture: any

## lpr 2008.05.17

=== debian/changelog ===
lpr (1:2008.05.17) unstable; urgency=low

  * Change package priority from standard to optional since it was
    already done in the override file
  * Add upstream revision file
  * Upgrade standards to 3.7.3
  * Overwrite logcheck-database provided logcheck file with our own
    version (closes: #418393)
  * Added upstream patches
    + lpd/printjob.c [rev. 1.41] - rfc 3834 support: "Auto-Submitted:
    auto-generated" on lots of things; from Tamas TEVESZ
    + Synched to upstream lpr as of 2008-05-17
  * Merged logcheck-database rule with the ones provided by lpr.
  * Remove old changelog entries for versions before OpenBSD's version
    was used as an upstream.
  * Added Vcs- info to control file.

 -- Adam Majer <adamm@zombino.com>  Mon, 19 May 2008 21:11:19 -0500

## lpr 2008.05.17+nmu1

=== debian/changelog ===
lpr (1:2008.05.17+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix a 1.5 years old pending bug.
  * Apply patch from Petr Salinger to fix the build on GNU/kFreeBSD
    (closes: #544552).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 22 Apr 2011 16:21:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: lpr
 Section: net
-Priority: standard
+Priority: optional
 Build-Depends: debhelper (>= 4.2.29)
 Maintainer: Adam Majer <adamm@zombino.com>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
+Vcs-Browser: http://git.debian.org/?p=collab-maint/lpr.git;a=summary
+Vcs-Git: git://git.debian.org/git/collab-maint/lpr.git
 
 Package: lpr
 Architecture: any
 Depends: ${shlibs:Depends}, netbase
 Suggests: magicfilter | apsfilter, gs
 Conflicts: suidmanager (<< 0.50)
+Replaces: logcheck-database
 Description: BSD lpr/lpd line printer spooling system
  This is the BSD printer spooler and associated utilities.
  You can use this for local and remote printers.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Modified for lpr by Adam Klein <aklein@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
CPPFLAGS = -Wall -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
# -D_BSD_SOURCE

build: build-stamp
build-stamp:
	dh_testdir
	make -W CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-make clean
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installman
	dh_installdocs
	dh_installexamples
	dh_installlogcheck
	dh_installinit --name=lpd
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	chown root.lp debian/lpr/usr/bin/lpr \
		      debian/lpr/usr/bin/lpq \
		      debian/lpr/usr/bin/lprm \
		      debian/lpr/usr/sbin/lpc
	chmod 6755 debian/lpr/usr/bin/lpr \
		   debian/lpr/usr/bin/lpq \
		   debian/lpr/usr/bin/lprm
	chmod 2755 debian/lpr/usr/sbin/lpc
	chown lp.lp debian/lpr/var/spool/lpd \
		    debian/lpr/var/spool/lpd/lp \
		    debian/lpr/var/spool/lpd/remote
	chmod 2775 debian/lpr/var/spool/lpd \
		   debian/lpr/var/spool/lpd/lp \
		   debian/lpr/var/spool/lpd/remote
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## lpr 2008.05.17.1

=== debian/changelog ===
lpr (1:2008.05.17.1) unstable; urgency=medium

  * Acknowledge NMU. Thank you. (closes: #544552)
  * Fix an integer overflow in chksize() function on systems with > 1TB
    spool partition. (closes: #769925)

 -- Adam Majer <adamm@zombino.com>  Thu, 20 Nov 2014 21:33:12 -0600

## lpr 2008.05.17.2

=== debian/changelog ===
lpr (1:2008.05.17.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817569)

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 15:08:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lpr
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 4.2.29)
+Build-Depends: debhelper (>= 9)
 Maintainer: Adam Majer <adamm@zombino.com>
 Standards-Version: 3.7.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lpr.git;a=summary

## lpr 2008.05.17.3

=== filters/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:33 millert Exp $

PROG=	lpf
MAN=	lpf.8
SRCS=	lpf.c
BINDIR=	/usr/sbin

include ../Makefile.in

=== lpd/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.4 2002/06/08 01:53:43 millert Exp $

PROG=	lpd
CFLAGS+=-I${.CURDIR}/../common_source
MAN=	lpd.8
SRCS=	rcmd.c lpd.c printjob.c recvjob.c ../common_source/displayq.c ../common_source/rmjob.c ../common_source/startdaemon.c \
	lpdchar.c ../common_source/common.c key.c modes.c ../common_source/common_vars.c ../common_source/getcap.c ../common_source/vis.c
BINGRP=	daemon
BINMODE=2550

include ../Makefile.in

=== lpr/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.5 2003/03/11 04:36:55 millert Exp $

PROG=	lpr
CFLAGS+=-I${.CURDIR}/../common_source -g
SRCS=	lpr.c ../common_source/startdaemon.c ../common_source/common.c \
	../common_source/common_vars.c ../common_source/getcap.c
BINOWN=	root
BINGRP=	daemon
BINMODE=6555
BINDIR=	/usr/bin

include ../Makefile.in

=== debian/changelog ===
lpr (1:2008.05.17.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with glibc 2.28. (Closes: #916148)
  * Sugggest ghostscript instead of gs. (Closes: #601355)
  * Build with -g to get non-empty -dbgsym.

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Jan 2019 22:06:54 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: lpr
 Architecture: any
 Depends: ${shlibs:Depends}, netbase
-Suggests: magicfilter | apsfilter, gs
+Suggests: magicfilter | apsfilter, ghostscript
 Conflicts: suidmanager (<< 0.50)
 Replaces: logcheck-database
 Description: BSD lpr/lpd line printer spooling system

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CFLAGS = -Wall -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
-CPPFLAGS = -Wall -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
+CFLAGS = -Wall -g -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
+CPPFLAGS = -Wall -g -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
 # -D_BSD_SOURCE
 
 build: build-stamp

## lpr 2008.05.17.3%2Bnmu3.1

=== debian/changelog ===
lpr (1:2008.05.17.3+nmu3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Make requirement for root when building the package explicit.
    (Closes: #1089379)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    (closes: #878450)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 09:57:23 +0000

lpr (1:2008.05.17.3+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: update VCS URL's
    The old alioth git service was decommissioned several years ago.  I
    have created a new Salsa repo.
  * lpc: change `sortq` prototype to match that required by `scandir`
    (Closes: #1075237)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 31 Jul 2024 18:53:51 +0100

lpr (1:2008.05.17.3+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (closes: #1007664)
  * d/copyright: Convert to machine-readable format.
  * d/copyright: Add missing ISC license.
  * Remove outdated URL from README.Debian.

 -- Bastian Germann <bage@debian.org>  Mon, 25 Mar 2024 21:31:09 +0000

lpr (1:2008.05.17.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * add build-arch and build-indep targets to debian/rules
    (Closes: #999216)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Dec 2021 08:35:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Maintainer: Adam Majer <adamm@zombino.com>
+Rules-Requires-Root: binary-targets
 Standards-Version: 3.7.3
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lpr.git;a=summary
-Vcs-Git: git://git.debian.org/git/collab-maint/lpr.git
+Vcs-Browser: https://salsa.debian.org/debian/lpr
+Vcs-Git: https://salsa.debian.org/debian/lpr.git
 
 Package: lpr
 Architecture: any

## lpr 2008.05.17.3+nmu1

=== lptest/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.2 1997/01/17 16:12:48 millert Exp $

PROG=	lptest
BINDIR= /usr/bin
SRCS=	lptest.c

include ../Makefile.in

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,24 @@
 CPPFLAGS = -Wall -g -O2 -D_GNU_SOURCE -D__KAME__ -I../common_source
 # -D_BSD_SOURCE
 
-build: build-stamp
-build-stamp:
+build: build-arch build-indep
+build-arch: build-arch-stamp
+build-arch-stamp:
 	dh_testdir
 	make -W CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
-	touch build-stamp
+	touch $@
+
+build-indep:
+# nothing to do here
 
 clean: 
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp install-stamp
+	rm -f build-arch-stamp install-stamp
 	-make clean
 	dh_clean
 
-install: build-stamp
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -69,4 +73,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## lpr 2008.05.17.3+nmu2

=== lpc/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.3 2002/05/20 23:13:50 millert Exp $

PROG=	lpc
CFLAGS+=-I${.CURDIR}/../common_source
MAN=	lpc.8
SRCS=	lpc.c cmds.c cmdtab.c ../common_source/startdaemon.c ../common_source/common.c \
	../common_source/common_vars.c ../common_source/getcap.c
BINDIR= /usr/sbin
BINGRP=	daemon
BINMODE=2555

include ../Makefile.in

## lpr 2008.05.17.3+nmu3

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Maintainer: Adam Majer <adamm@zombino.com>
-Rules-Requires-Root: binary-targets
 Standards-Version: 3.7.3
 Vcs-Browser: https://salsa.debian.org/debian/lpr
 Vcs-Git: https://salsa.debian.org/debian/lpr.git

## lpr 2008.05.17.3+nmu3.1

=== Makefile ===
SUBDIR=	lpc lpd lpq lpr lprm lptest pac filters

all:
	for dir in $(SUBDIR); do \
		$(MAKE) -C $$dir; \
		if [ 0 -ne $$? ] ; then return 2; fi; \
	done

clean:
	for dir in $(SUBDIR); do \
		$(MAKE) -C $$dir clean;\
	done
	cd common_source; rm -f *.o

=== lpq/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.4 2002/06/08 01:53:43 millert Exp $

PROG=	lpq
CFLAGS+=-I${.CURDIR}/../common_source
SRCS=	lpq.c ../common_source/displayq.c ../common_source/common.c \
	../common_source/common_vars.c ../common_source/getcap.c ../common_source/vis.c
BINGRP=	daemon
BINMODE=2555
BINDIR=	/usr/bin

include ../Makefile.in

=== lprm/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.6 2003/03/11 04:36:55 millert Exp $

PROG=	lprm
CFLAGS+=-I${.CURDIR}/../common_source
SRCS=	lprm.c ../common_source/rmjob.c ../common_source/startdaemon.c ../common_source/common.c \
	../common_source/common_vars.c ../common_source/getcap.c
BINOWN=	root
BINGRP=	daemon
BINMODE=6555
BINDIR=	/usr/bin

include ../Makefile.in

=== pac/Makefile ===
#	from: @(#)Makefile	8.1 (Berkeley) 6/6/93
#	$OpenBSD: Makefile,v 1.3 2002/05/20 23:13:50 millert Exp $

PROG=	pac
CFLAGS+=-I${.CURDIR}/../common_source
MAN=	pac.8
SRCS=	pac.c ../common_source/common.c ../common_source/common_vars.c ../common_source/getcap.c
BINDIR=/usr/sbin 

include ../Makefile.in

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 build-arch: build-arch-stamp
 build-arch-stamp:
 	dh_testdir
-	make -W CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
+	dh_auto_build -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"
 	touch $@
 
 build-indep:

## lpr 2008.05.17.3+nmu3.1build1

=== debian/changelog ===
lpr (1:2008.05.17.3+nmu3.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 13:15:53 +0000

## lpr 2008.05.17.4

=== debian/changelog ===
lpr (1:2008.05.17.4) unstable; urgency=medium

  * d/control: Adopt the package (Closes: #1121611)
  * d/control: bump debhelper requirement from 9 to 13
  * d/control: drop reference to long-gone suidmanager
  * d/control: add ${misc:Depends} to Depends and
    ${misc:Pre-Depends} to Pre-Depends
  * d/rules: convert to dh-sequence
  * d/rules: use common build options (with 2 -Wno-error=foo)
    (Closes: #1119473)
  * d/dirs: stop creating dirs unnecessarily
  * d/rules: use chown user:group, not user.group
  * d/lpd.init: test for /etc/default/lpd existence before sourcing it
  * d/lpd.init: remove path to start-stop-daemon in one place
  * d/lpd.init: use `set -e' (Closes: #866261)
  * d/preinst: remove stop action, it is done by dh_installinit
  * d/printcap: comment-out an example entry, make shipped printcap
    a conffile in /etc/printcap instead of example.
    This removes d/lpr.postrm, which unmasks d/postrm and makes it work
    (Closes: #531133)
  * d/postrm: remove /var/spool/lpd/ on purge without questions
  * d/cron.weekly: move log rotation to logrotate.d/lpd
  * d/postinst: remove
    - stop fixing spool files/dirs perms when upgrading from ancient version
    - stop creating /var/log/lp-acct & lp-errs files
    - stop running update-mime when upgrading from really ancient version
  * d/NEWS.Debian: remove, a news item about ancient version
  * d/changelog: remove trailing whitespace
  * d/lpd.service: provide systemd unit file (Closes: #1039255)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 04 Feb 2026 17:31:49 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: lpr
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Maintainer: Adam Majer <adamm@zombino.com>
+Build-Depends: debhelper-compat (= 13)
+Maintainer: Michael Tokarev <mjt@tls.msk.ru>
+Rules-Requires-Root: binary-targets
 Standards-Version: 3.7.3
 Vcs-Browser: https://salsa.debian.org/debian/lpr
 Vcs-Git: https://salsa.debian.org/debian/lpr.git
 
 Package: lpr
 Architecture: any
-Depends: ${shlibs:Depends}, netbase
+Depends: ${misc:Depends}, ${shlibs:Depends}, netbase, logrotate
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: magicfilter | apsfilter, ghostscript
-Conflicts: suidmanager (<< 0.50)
 Replaces: logcheck-database
 Description: BSD lpr/lpd line printer spooling system
  This is the BSD printer spooler and associated utilities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = \
 -Wno-error=implicit-function-declaration -Wno-error=format-security
export DEB_CPPFLAGS_MAINT_APPEND = \
 -D__KAME__ -I../common_source

clean \
build build-arch \
install install-arch \
binary binary-arch \
: %:
	dh $@

build-indep install-indep binary-indep:
# nothing

override_dh_installinit-arch:
	dh_installinit --name=lpd
	dh_installsystemd --name=lpd

override_dh_installsystemd-arch:

override_dh_installlogrotate-arch:
	dh_installlogrotate --name=lpd

execute_after_dh_fixperms-arch:
	chown root:lp debian/lpr/usr/bin/lpr \
		      debian/lpr/usr/bin/lpq \
		      debian/lpr/usr/bin/lprm \
		      debian/lpr/usr/sbin/lpc
	chmod 6755 debian/lpr/usr/bin/lpr \
		   debian/lpr/usr/bin/lpq \
		   debian/lpr/usr/bin/lprm
	chmod 2755 debian/lpr/usr/sbin/lpc
	chown lp:lp debian/lpr/var/spool/lpd \
		    debian/lpr/var/spool/lpd/lp \
		    debian/lpr/var/spool/lpd/remote
	chmod 2775 debian/lpr/var/spool/lpd \
		   debian/lpr/var/spool/lpd/lp \
		   debian/lpr/var/spool/lpd/remote
